<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/pinmux/pinmux.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_0e51d2630c4f7c63874265cef474546c.html">pinmux</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">pinmux.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>PINMUX driver interface.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;ti/common/mmwave_error.h&gt;</code><br />
<code>#include &lt;<a class="el" href="pinmux__xwr16xx_8h.html">ti/drivers/pinmux/include/pinmux_xwr16xx.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga0ef5080b5bd178851a71f5cb7ebfd85c"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga0ef5080b5bd178851a71f5cb7ebfd85c">PINMUX_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_PINMUX_BASE-1)</td></tr>
<tr class="memdesc:ga0ef5080b5bd178851a71f5cb7ebfd85c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga0ef5080b5bd178851a71f5cb7ebfd85c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa34176a28c53682413cfa83a8827e359"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gaa34176a28c53682413cfa83a8827e359">PINMUX_EINVALIDADDRESS</a>&#160;&#160;&#160;(MMWAVE_ERRNO_PINMUX_BASE-2)</td></tr>
<tr class="memdesc:gaa34176a28c53682413cfa83a8827e359"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be done as pinmux base address is not defined. <br /></td></tr>
<tr class="separator:gaa34176a28c53682413cfa83a8827e359"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga830d6f2e9fe46dc2d75221fb67d2450a"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadd0028b2aa5e5b5eab2c69823629cc94">Pinmux_Output_Override</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga830d6f2e9fe46dc2d75221fb67d2450a">Pinmux_Output_Override_e</a></td></tr>
<tr class="memdesc:ga830d6f2e9fe46dc2d75221fb67d2450a"><td class="mdescLeft">&#160;</td><td class="mdescRight">PINMUX Output Override Enum.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga830d6f2e9fe46dc2d75221fb67d2450a">More...</a><br /></td></tr>
<tr class="separator:ga830d6f2e9fe46dc2d75221fb67d2450a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7eae1f3e9976d25e0395749b054ef101"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga470fb4bbe77798770e424a8525a49c2a">Pinmux_Input_Override</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7eae1f3e9976d25e0395749b054ef101">Pinmux_Input_Override_e</a></td></tr>
<tr class="memdesc:ga7eae1f3e9976d25e0395749b054ef101"><td class="mdescLeft">&#160;</td><td class="mdescRight">PINMUX Input Override Enum.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7eae1f3e9976d25e0395749b054ef101">More...</a><br /></td></tr>
<tr class="separator:ga7eae1f3e9976d25e0395749b054ef101"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a57f37cc1079469032d99215673dd5b"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae971c7ff13c0f1e42d39744ecf94e0c6">Pinmux_Pull</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga9a57f37cc1079469032d99215673dd5b">Pinmux_Pull_e</a></td></tr>
<tr class="memdesc:ga9a57f37cc1079469032d99215673dd5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">PINMUX Pull Enum.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga9a57f37cc1079469032d99215673dd5b">More...</a><br /></td></tr>
<tr class="separator:ga9a57f37cc1079469032d99215673dd5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga536241865d3ade092372eb7bcc4f10ff"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga17437c378dd02a08a0e0373d4d55e619">Pinmux_SlewRate</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga536241865d3ade092372eb7bcc4f10ff">Pinmux_SlewRate_e</a></td></tr>
<tr class="memdesc:ga536241865d3ade092372eb7bcc4f10ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">PINMUX Slew Enum.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga536241865d3ade092372eb7bcc4f10ff">More...</a><br /></td></tr>
<tr class="separator:ga536241865d3ade092372eb7bcc4f10ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga9b3f959a186fcfce32ce7388bd34e07a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9b3f959a186fcfce32ce7388bd34e07a">Pinmux_Set_OverrideCtrl</a> (uint32_t pin, <a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga830d6f2e9fe46dc2d75221fb67d2450a">Pinmux_Output_Override_e</a> outputCtrl, <a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7eae1f3e9976d25e0395749b054ef101">Pinmux_Input_Override_e</a> inputCtrl)</td></tr>
<tr class="memdesc:ga9b3f959a186fcfce32ce7388bd34e07a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configurations for the input and output override control.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9b3f959a186fcfce32ce7388bd34e07a">More...</a><br /></td></tr>
<tr class="separator:ga9b3f959a186fcfce32ce7388bd34e07a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5f722ec87ff20abb83263507b2303931"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5f722ec87ff20abb83263507b2303931">Pinmux_Set_Pull</a> (uint32_t pin, <a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga9a57f37cc1079469032d99215673dd5b">Pinmux_Pull_e</a> pullVal)</td></tr>
<tr class="memdesc:ga5f722ec87ff20abb83263507b2303931"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configurations for the pulls on the pins.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5f722ec87ff20abb83263507b2303931">More...</a><br /></td></tr>
<tr class="separator:ga5f722ec87ff20abb83263507b2303931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae35b26d139b116b56a60b1732d12a244"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae35b26d139b116b56a60b1732d12a244">Pinmux_Set_SlewRate</a> (uint32_t pin, <a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga536241865d3ade092372eb7bcc4f10ff">Pinmux_SlewRate_e</a> slewVal)</td></tr>
<tr class="memdesc:gae35b26d139b116b56a60b1732d12a244"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configurations for the slew on the pins.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae35b26d139b116b56a60b1732d12a244">More...</a><br /></td></tr>
<tr class="separator:gae35b26d139b116b56a60b1732d12a244"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff9298cdf295d31a9e3f7319359870d5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaff9298cdf295d31a9e3f7319359870d5">Pinmux_Set_FuncSel</a> (uint32_t pin, uint32_t func)</td></tr>
<tr class="memdesc:gaff9298cdf295d31a9e3f7319359870d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Setup the pin functionality.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaff9298cdf295d31a9e3f7319359870d5">More...</a><br /></td></tr>
<tr class="separator:gaff9298cdf295d31a9e3f7319359870d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga777a3f75806266c4af7b58a1b6c09df0"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga777a3f75806266c4af7b58a1b6c09df0">Pinmux_Get_OverrideCtrl</a> (uint32_t pin, <a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga830d6f2e9fe46dc2d75221fb67d2450a">Pinmux_Output_Override_e</a> *outputCtrl, <a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7eae1f3e9976d25e0395749b054ef101">Pinmux_Input_Override_e</a> *inputCtrl)</td></tr>
<tr class="memdesc:ga777a3f75806266c4af7b58a1b6c09df0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the pin override control for input and output.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga777a3f75806266c4af7b58a1b6c09df0">More...</a><br /></td></tr>
<tr class="separator:ga777a3f75806266c4af7b58a1b6c09df0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac524e6a9fed53091b45782df6cce7ac5"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac524e6a9fed53091b45782df6cce7ac5">Pinmux_Get_Pull</a> (uint32_t pin)</td></tr>
<tr class="memdesc:gac524e6a9fed53091b45782df6cce7ac5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the pin pull up/down setting.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac524e6a9fed53091b45782df6cce7ac5">More...</a><br /></td></tr>
<tr class="separator:gac524e6a9fed53091b45782df6cce7ac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa33cdc5eade53674e1e964b8cd477b9"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafa33cdc5eade53674e1e964b8cd477b9">Pinmux_Get_SlewRate</a> (uint32_t pin)</td></tr>
<tr class="memdesc:gafa33cdc5eade53674e1e964b8cd477b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the pin slew rate.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafa33cdc5eade53674e1e964b8cd477b9">More...</a><br /></td></tr>
<tr class="separator:gafa33cdc5eade53674e1e964b8cd477b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab9c5dc6cb72f855b16afd2615389f2bb"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab9c5dc6cb72f855b16afd2615389f2bb">Pinmux_Get_FuncSel</a> (uint32_t pin)</td></tr>
<tr class="memdesc:gab9c5dc6cb72f855b16afd2615389f2bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the pin functionality.  <a href="group___p_i_n_m_u_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab9c5dc6cb72f855b16afd2615389f2bb">More...</a><br /></td></tr>
<tr class="separator:gab9c5dc6cb72f855b16afd2615389f2bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>PINMUX driver interface. </p>
<p>============================================================================ </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
